
Foreman - Bug #6769

Template: creating a template without any name raises same error two times

07/24/2014 10:40 AM - Dominic Cleal

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1121532 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1121532

Description of problem:

I was trying to create a template and didn't pass any name, then UI throws following error adjacent to 'name' text box

"can't be blank and can't be blank"

Version-Release number of selected component (if applicable):

sat6 GA snap1

How reproducible:

always

Steps to Reproduce:

1. create a template without passing name

2.

3.

Actual results:

UI throws same error two times

Expected results:

one time "can't be blank is sufficient

Additional info:

production.log:

Processing by ConfigTemplatesController#create as */*

Parameters: {"utf8"=>"✓", "search"=>"", "authenticity_token"=>"CLZgGQh3Z80gTOE6iG1eaDPvDAf4ISpF73pxHLoz0K4=",

"config_template"=>{"name"=>"", "template"=>"test", "audit_comment"=>"", "snippet"=>"0", "template_kind_id"=>"1",

"operatingsystem_ids"=>["", "", "", ""]}, "keybinding"=>"Default"}

Failed to save: Name can't be blank, Name can't be blank

Rendered common/_edit_habtm.html.erb (5.1ms)

Related issues:

Is duplicate of Foreman - Bug #6888: Provisioning template name checks for pr... Closed 08/01/2014

History

#1 - 07/24/2014 10:40 AM - Dominic Cleal

- Category set to Web Interface

#2 - 08/06/2014 05:03 AM - Dominic Cleal

- Is duplicate of Bug #6888: Provisioning template name checks for presence twice, duplicate message added
#3 - 08/06/2014 05:04 AM - Dominic Cleal

- Status changed from New to Duplicate
